Robotsystem from Robot Group Leipzig: AngularMotorNAxis Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# AngularMotorNAxis Class Reference

`#include <angularmotor.h>`

Inheritance diagram for AngularMotorNAxis:

[legend]
Collaboration diagram for AngularMotorNAxis:

[legend]
List of all members.

## Detailed Description

Angular motor for arbitrary Joints with custom axis (up to 3).

Definition at line 190 of file angularmotor.h.

## Public Member Functions
| AngularMotorNAxis (const OdeHandle &odeHandle, Joint *joint, std::list< std::pair< double, Axis > > axis)
| Constuct a motor attached to any Joint (not Sliders!).
virtual | ~AngularMotorNAxis ()
virtual int | getNumberOfAxes ()
| returns the number of Axis of this Motor
virtual void | set (int axisNumber, double velocity)
| sets the desired speed of the motor at the given axis.
virtual double | get (int axisNumber)
| returns the speed (PositionRate) at the given axis, or zero if the axis is out of range
virtual void | setPower (double power)
| sets the maximal force the motor has
## Protected Attributes
Joint * | joint

## Constructor & Destructor Documentation

AngularMotorNAxis | ( | const OdeHandle & | odeHandle,
|  | Joint * | joint,
|  | std::list< std::pair< double, Axis > > | axis
| ) |

  | Constuct a motor attached to any Joint (not Sliders!). The axis have to be provided by the user. Parameters:
  | axis | list of axis vector and power If empty then it motor is disabled. Power is the maximum force or torque that the motor will use to achieve the desired velocity. This must always be greater than or equal to zero. Setting this to zero (the default value) turns off the motor.
Definition at line 190 of file angularmotor.cpp.

virtual ~AngularMotorNAxis | ( |  | ) | `[inline, virtual]`

| Definition at line 202 of file angularmotor.h.

## Member Function Documentation

double get | ( | int | axisNumber | ) | `[virtual]`

| returns the speed (PositionRate) at the given axis, or zero if the axis is out of range So we return the last set position!. Implements AngularMotor. Definition at line 258 of file angularmotor.cpp.

int getNumberOfAxes | ( |  | ) | `[virtual]`

| returns the number of Axis of this Motor Implements AngularMotor. Definition at line 231 of file angularmotor.cpp.

void set | ( | int | axisNumber,
|  | double | velocity
| ) | `[virtual]`

  | sets the desired speed of the motor at the given axis. Parameters:
  | velocity | Desired motor velocity (this will be an angular or linear velocity).
Implements AngularMotor. Definition at line 239 of file angularmotor.cpp.

void setPower | ( | double | power | ) | `[virtual]`

| sets the maximal force the motor has Implements AngularMotor. Definition at line 276 of file angularmotor.cpp.

## Member Data Documentation

Joint* joint`[protected]`

| Definition at line 223 of file angularmotor.h.